-injars 'C:\Work\messagepush\android\output\pushservice.jar'
-outjars 'C:\Work\messagepush\android\output\pushservice-1.2.3.jar'

-libraryjars 'C:\Work\messagepush\android\pushservice\libs\protobuf-java-2.5.0.jar'
-libraryjars 'C:\Program Files (x86)\Android\android-studio\sdk\platforms\android-19\android.jar'

-printmapping out.map
-keepattributes Exceptions,InnerClasses,Signature,Deprecated,SourceFile,LineNumberTable,EnclosingMethod,*Annotation*
-keepparameternames
-renamesourcefileattribute SourceFile


# Preserve the special static methods that are required in all enumeration
# classes.
-keepclassmembers class * extends java.lang.Enum {
    public static **[] values();
    public static ** valueOf(java.lang.String);
}

# Keep names - Native method names. Keep all native class/method names.
-keepclasseswithmembers class * {
    native <methods>;
}

-keep public class * extends android.app.Service

-keep public class * extends android.content.BroadcastReceiver

-keep public class * extends android.preference.Preference

-keep class * extends android.os.Parcelable {
    public static final android.os.Parcelable$Creator *;
}

# Explicitly preserve all serialization members. The Serializable interface
# is only a marker interface, so it wouldn't save them.
-keepclassmembers class * extends java.io.Serializable {
    static final long serialVersionUID;
    private static final java.io.ObjectStreamField[] serialPersistentFields;
    public <fields>;
    private void writeObject(java.io.ObjectOutputStream);
    private void readObject(java.io.ObjectInputStream);
    java.lang.Object writeReplace();
    java.lang.Object readResolve();
}

# Keep - Library. Keep all public and protected classes, fields, and methods.
-keep public class com.baidu.music.push.service.* {
    public protected <fields>;
    public protected <methods>;
}

# Keep names - _class method names. Keep all .class method names. This may be
# useful for libraries that will be obfuscated again with different obfuscators.
-keepclassmembers,allowshrinking class * {
    java.lang.Class class$(java.lang.String);
    java.lang.Class class$(java.lang.String,boolean);
}
